<script lang="ts">
import { defineComponent } from '@vue/composition-api'

import { Splitpanes, Pane } from 'splitpanes'
import 'splitpanes/dist/splitpanes.css'

import ControlPanel from '@/components/dashboard/ControlPanel.vue'
import MessageLog from '@/components/dashboard/MessageLog.vue'
import ProductionState from '@/components/ProductionState.vue'
import OrderQueue from '@/components/dashboard/OrderQueue.vue'

export default defineComponent({
	name: "Dashboard",
	components: { Splitpanes, Pane, ControlPanel, MessageLog, ProductionState, OrderQueue },
	setup() {

	},
})
</script>

<template>
	<splitpanes class="wrapper">
		<pane size="55%">
			<splitpanes horizontal>
				<pane class="controls" size="70%">
					<ControlPanel></ControlPanel>
				</pane>
				<pane class="order-queue">
					<OrderQueue></OrderQueue>
				</pane>
			</splitpanes>
		</pane>
		<pane>
			<splitpanes horizontal>
				<pane class="msglog" size="37.5">
					<MessageLog showDispatchToggle></MessageLog>
				</pane>		
				<pane class="prodstate">
					<ProductionState></ProductionState>
				</pane>
			</splitpanes>
		</pane>
	</splitpanes>
</template>

<style scoped>
.wrapper {
	height: calc(100vh - 100px);
}
.msglog {
	display: flex;
	flex-flow: column;
}
.controls {
	overflow: auto;
}
</style>
